# GBDeployer | botserver

Deployer service for bots, themes, ai and more.

### Hierarchy

- GBDeployer

## Index

### Constructors

- constructor

### Properties

- core
- importer
- workDir
- deployFolder

### Methods

- deployBot
- deployPackageFromLocalPath
- deployPackageToStorage
- deployPackages
- deployTheme
- getPackageByName
- scanBootPackage
- undeployPackageFromLocalPath

## Constructors

### constructor

- new GBDeployer(core: IGBCoreService, importer: GBImporter ): GBDeployer

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:58

  #### Parameters

  - ##### core: IGBCoreService

  - ##### importer: GBImporter

  #### Returns GBDeployer

## Properties

### core

core: IGBCoreService

- Defined in deploy/core.gbapp/services/GBDeployer.ts:52

### importer

importer: GBImporter

- Defined in deploy/core.gbapp/services/GBDeployer.ts:54

### workDir

workDir: string = "./work"

- Defined in deploy/core.gbapp/services/GBDeployer.ts:56

### Static deployFolder

deployFolder: string = "deploy"

- Defined in deploy/core.gbapp/services/GBDeployer.ts:58

## Methods

### deployBot

- deployBot(localPath: string): Promise<IGBInstance>

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:238

  Deploys a bot to the storage.

  #### Parameters

  - ##### localPath: string

  #### Returns Promise<IGBInstance>

### deployPackageFromLocalPath

- deployPackageFromLocalPath(localPath: string): Promise<any>

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:270

  #### Parameters

  - ##### localPath: string

  #### Returns Promise<any>

### deployPackageToStorage

- deployPackageToStorage(instanceId: number, packageName: string): Promise< GuaribasPackage >

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:248

  #### Parameters

  - ##### instanceId: number

  - ##### packageName: string

  #### Returns Promise< GuaribasPackage >

### deployPackages

- deployPackages(core: IGBCoreService, server: any, appPackages: Array<IGBPackage>): Promise<Object>

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:70

  Performs package deployment in all .gbai or default.

  #### Parameters

  - ##### core: IGBCoreService

  - ##### server: any

  - ##### appPackages: Array<IGBPackage>

  #### Returns Promise<Object>

### deployTheme

- deployTheme(localPath: string): void

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:258

  #### Parameters

  - ##### localPath: string

  #### Returns void

### getPackageByName

- getPackageByName(instanceId: number, packageName: string): Promise< GuaribasPackage >

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:328

  #### Parameters

  - ##### instanceId: number

  - ##### packageName: string

  #### Returns Promise< GuaribasPackage >

### scanBootPackage

- scanBootPackage(): Promise<any>

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:343

  Hot deploy processing.

  #### Returns Promise<any>

### undeployPackageFromLocalPath

- undeployPackageFromLocalPath(instance: IGBInstance, localPath: string): Promise<void>

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:297

  #### Parameters

  - ##### instance: IGBInstance

  - ##### localPath: string

  #### Returns Promise<void>

Generated using TypeDoc